/*****************************************************************************/
/* Begin struct definitions */

struct _Channel
{
  int num; /* The channel's number */
  snd_mixer_channel_t data; /* the data */
  snd_mixer_channel_info_t info; /* The info */
  unsigned int flags; /* The Channel's flags */
};
typedef struct _Channel Channel;

struct _Card
{
  int number; /* The card's number */
  void *handle; /* The handle for the card */
  snd_mixer_info_t info; /* The info for the card */
  Channel master;
  Channel bass;
  Channel treble;
  Channel synthesizer;
  Channel synthesizer1;
  Channel fm;
  Channel effect;
  Channel pcm;
  Channel pcm1;
  Channel line;
  Channel mic;
  Channel cd;
  Channel gain;
  Channel igain;
  Channel ogain;
  Channel loopback;
  Channel speaker;
  Channel auxa;
  Channel auxb;
  Channel auxc;
  Channel mono;
  Channel mono1;
  Channel mono2;
};
typedef struct _Card Card;

struct _CardInfo
{
  Card *card; /* Which card */
  int channel; /* Which channel */
  unsigned int flags; /* flags */
  Channel *chan; /* A pointer to the channel data */
  GtkWidget *other; /* The other range widget */
};
typedef struct _CardInfo CardInfo;








/* End struct definitions */
/*****************************************************************************/
